AbstractInDatabindingInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor

## Class AbstractInDatabindingInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.AbstractInDatabindingInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`
  Direct Known Subclasses:
    `ClientFaultConverter`, `StaxDataBindingInterceptor`

      public abstract class AbstractInDatabindingInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NO_VALIDATE_PARTS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractInDatabindingInterceptor​(String phase)` |
    `AbstractInDatabindingInterceptor​(String i, String phase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected MessagePartInfo` | `findMessagePart​(Exchange exchange, Collection<OperationInfo> operations, QName name, boolean client, int index, Message message)` | Find the next possible message part in the message.
    `protected BindingOperationInfo` | `getBindingOperationInfo​(Exchange exchange, QName name, boolean client)` | Returns a BindingOperationInfo if the operation is indentified as a wrapped method, return null if it is not a wrapped method (i.e., it is a bare method)
    `protected DataReader<XMLStreamReader>` | `getDataReader​(Message message)` |
    `protected <T> DataReader<T>` | `getDataReader​(Message message, Class<T> input)` |
    `protected MessageInfo` | `getMessageInfo​(Message message, BindingOperationInfo operation)` |
    `protected MessageInfo` | `getMessageInfo​(Message message, BindingOperationInfo operation, boolean requestor)` |
    `protected DataReader<Node>` | `getNodeDataReader​(Message message)` |
    `protected DepthXMLStreamReader` | `getXMLStreamReader​(Message message)` |
    `protected void` | `setDataReaderValidation​(Service service, Message message, DataReader<?> reader)` | Based on the Schema Validation configuration, will initialise the DataReader with or without the schema set.
    `protected MessageInfo` | `setMessage​(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)` |
    `protected void` | `setOperationSchemaValidation​(Message message)` |
    `protected boolean` | `shouldValidate​(Message message)` |
    `protected boolean` | `supportsDataReader​(Message message, Class<?> input)` |

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.interceptor.Interceptor

      `handleMessage`

- - ### Field Detail

    - #### NO_VALIDATE_PARTS

          public static final String NO_VALIDATE_PARTS

  - ### Constructor Detail

    - #### AbstractInDatabindingInterceptor

          public AbstractInDatabindingInterceptor​(String phase)

    - #### AbstractInDatabindingInterceptor

          public AbstractInDatabindingInterceptor​(String i,
                                                  String phase)

  - ### Method Detail

    - #### supportsDataReader

          protected boolean supportsDataReader​(Message message,
                                               Class<?> input)

    - #### getDataReader

          protected <T> DataReader<T> getDataReader​(Message message,
                                                    Class<T> input)

    - #### getDataReader

          protected DataReader<XMLStreamReader> getDataReader​(Message message)

    - #### getNodeDataReader

          protected DataReader<Node> getNodeDataReader​(Message message)

    - #### shouldValidate

          protected boolean shouldValidate​(Message message)

    - #### setDataReaderValidation

          protected void setDataReaderValidation​(Service service,
                                                 Message message,
                                                 DataReader<?> reader)

      Based on the Schema Validation configuration, will initialise the DataReader with or without the schema set. Can also be called to override schema validation at operation level, thus the reader.setSchema(null) to remove schema validation

    - #### setOperationSchemaValidation

          protected void setOperationSchemaValidation​(Message message)

    - #### getXMLStreamReader

          protected DepthXMLStreamReader getXMLStreamReader​(Message message)

    - #### findMessagePart

          protected MessagePartInfo findMessagePart​(Exchange exchange,
                                                    Collection<OperationInfo> operations,
                                                    QName name,
                                                    boolean client,
                                                    int index,
                                                    Message message)

      Find the next possible message part in the message. If an operation in the list of operations is no longer a viable match, it will be removed from the Collection.
      Parameters:
        `exchange` -
        `operations` -
        `name` -
        `client` -
        `index` -

    - #### setMessage

          protected MessageInfo setMessage​(Message message,
                                           BindingOperationInfo operation,
                                           boolean requestor,
                                           ServiceInfo si,
                                           MessageInfo msgInfo)

    - #### getBindingOperationInfo

          protected BindingOperationInfo getBindingOperationInfo​(Exchange exchange,
                                                                 QName name,
                                                                 boolean client)

      Returns a BindingOperationInfo if the operation is indentified as a wrapped method, return null if it is not a wrapped method (i.e., it is a bare method)
      Parameters:
        `exchange` -
        `name` -
        `client` -

    - #### getMessageInfo

          protected MessageInfo getMessageInfo​(Message message,
                                               BindingOperationInfo operation)

    - #### getMessageInfo

          protected MessageInfo getMessageInfo​(Message message,
                                               BindingOperationInfo operation,
                                               boolean requestor)